@()(implicit i18nMessages: Messages)

@import play.i18n._
<div class="title-header ng-scope">
  <div class="messages-header">
      <span class="ng-binding">{{'USER_GROUP_TITLE' | translate}}</span>
  </div>
</div>

<div ng-controller="UserGroupController as ctrl" id="user-group" ng-if="ctrl.groups">
  <div class="group-list contact-wrapper">
    <div class="group-item contact contact-separator" ng-repeat="group in ctrl.groups">
      <div class="group-line" ng-click="openContactSheet(contact)" role="button" tabindex="0">
        <div class="group-infos">
          <div class="avatar-status {{group.membershipStatus === 'Paused' ? 'user-status4' : 'user-status0'}}" title="{{group.membershipStatus === 'Paused' ? 'Unavailable' : 'Available'}}">
              <div class="avatar-circle">
                <i class="fas fa-users {{group.membershipStatus === 'Paused' ? 'grey' : 'green'}}"></i>
              </div>
          </div>
          <div class="name-service-post-section">
              <div class="name-surname ng-binding" title="{{group.groupName}}">{{group.groupName}}</div>
              <div class="business-unit ng-binding" title="{{group.groupNumber}}">{{group.groupNumber}}</div>
          </div>
        </div>
        <section class="call-buttons call button">
          <span class="nd-action-button button group-pause-action" title="{{ 'USER_GROUP_PAUSE' | translate }}" id="leaveGroup-{{group.groupId}}" ng-if="group.membershipStatus === 'Available' && ctrl.canShowPauseActions()" ng-click="ctrl.toggleGroupMembership(group)">
            <svg width="512" height="512" viewBox="0 0 512 512" fill="none" xmlns="http://www.w3.org/2000/svg" class="portal-out" alt="leave-group">
              <g clip-path="url(#clip0_414_16)">
              <path class="portal" opacity="0.4" d="M0 256C0 397.4 35.8 512 80 512C105.3 512 127.8 474.5 142.5 416H128C127.5 416 126.9 416 126.4 416C125.8 416 125.3 415.9 124.8 415.9C123.7 415.8 122.7 415.6 121.6 415.4C119.5 415 117.5 414.3 115.6 413.5C111.8 411.9 108.3 409.5 105.4 406.6C102.5 403.7 100.2 400.3 98.5 396.4C97.7 394.5 97.1 392.5 96.6 390.4C96.4 389.3 96.2 388.1 96.1 386.9C96.1 386.6 96.1 386.3 96 386.1C96 385.9 96 385.7 96 385.4C96 385 96 384.7 96 384.7C96 384.2 96 384 96 383.8C96 383.5 96 383.2 96 382.9C96 382.9 96 382.6 96 382.2C96 382 96 381.8 96 381.5C96 381.3 96 381.1 96.1 380.7C96.1 380.4 96.2 380.1 96.2 379.8C96.2 379.6 96.3 379.4 96.3 379.1C96.4 378.3 96.5 377.9 96.6 377.4C97.1 375.2 97.7 373.2 98.5 371.3C100.1 367.5 102.5 364 105.4 361.1C111.2 355.3 119.2 351.7 128 351.7H154.2C158 322.1 160 289.6 160 255.7C160 237.4 159.4 219.6 158.3 202.3C156.6 201.1 154.9 199.8 153.4 198.3C152.6 197.5 151.8 196.7 151.2 195.8C150.6 194.9 149.9 194.1 149.3 193.2C148.1 191.4 147.2 189.6 146.4 187.7C145.6 185.8 145 183.8 144.6 181.8C144.4 180.8 144.3 179.8 144.2 178.8C144.1 177.8 144.1 176.8 144 175.8C144 167.5 147.1 159.3 153.4 153C141 63.1 112.8 0 80 0C35.8 0 0 114.6 0 256Z" fill="#B1B1B1"/>
              <path class="character" d="M416 48C416 35.2696 410.943 23.0606 401.941 14.0589C392.939 5.05713 380.73 0 368 0C355.27 0 343.061 5.05713 334.059 14.0589C325.057 23.0606 320 35.2696 320 48C320 60.7304 325.057 72.9394 334.059 81.9411C343.061 90.9429 355.27 96 368 96C380.73 96 392.939 90.9429 401.941 81.9411C410.943 72.9394 416 60.7304 416 48ZM221.7 175.5C231.6 165.6 245.1 160 259.2 160C261.1 160 263 160.1 264.8 160.3L233.6 254C224.3 282 235.3 312.8 260.4 328.5L346.6 382.4L321.2 471.2C316.3 488.2 326.2 505.9 343.2 510.8C360.2 515.7 377.9 505.8 382.8 488.8L411.5 388.4C417.4 367.8 408.9 345.8 390.8 334.5L334 299L364.9 216.6L370 228.9C385 264.7 419.9 288 458.7 288H480C497.7 288 512 273.7 512 256C512 238.3 497.7 224 480 224H458.7C445.8 224 434.1 216.2 429.2 204.3L422.9 189.3C408.3 154.2 378.8 127.4 342.4 116.2L293.7 101.2C282.6 97.8 271 96 259.3 96C228.3 96 198.5 108.3 176.6 130.3L153.5 153.4C141 165.9 141 186.2 153.5 198.7C166 211.2 186.3 211.2 198.8 198.7L221.9 175.6L221.7 175.5ZM187.2 352H128C110.3 352 96 366.3 96 384C96 401.7 110.3 416 128 416H197.6C216.6 416 233.8 404.8 241.5 387.5L253 361.6L243.5 355.6C226 344.7 213 328.8 205.6 310.7L187.2 352Z" fill="url(#paint0_linear_414_16)"/>
              </g>
              <defs>
              <linearGradient id="paint0_linear_414_16" x1="512" y1="0" x2="280.5" y2="0" gradientUnits="userSpaceOnUse">
              <stop stop-color="#95ACC1"/>
              <stop offset="1" stop-color="#657ABE"/>
              </linearGradient>
              <clipPath id="clip0_414_16">
              <rect width="512" height="512" fill="white"/>
              </clipPath>
              </defs>
            </svg>
          </span>
          <span class="nd-action-button button group-unpause-action" title="{{ 'USER_GROUP_UNPAUSE' | translate }}" id="joinGroup-{{group.groupId}}" ng-if="group.membershipStatus === 'Paused' && ctrl.canShowPauseActions()" ng-click="ctrl.toggleGroupMembership(group)">
            <svg width="512" height="512" viewBox="0 0 512 512" fill="none" xmlns="http://www.w3.org/2000/svg" class="portal-in" alt="enter-group">
              <g clip-path="url(#clip0_414_20)">
              <path class="portal" opacity="0.4" d="M352.7 222.4C355.9 223.4 359.2 224 362.7 224H384C401.7 224 416 238.3 416 256C416 273.7 401.7 288 384 288H362.7C361.9 288 361 288 360.2 288C359.3 288 358.5 287.9 357.7 287.9C356 287.8 354.3 287.7 352.7 287.5C357.4 414 391.1 512 432 512C476.2 512 512 397.4 512 256C512 114.6 476.2 0 432 0C391.4 0 357.8 96.9 352.7 222.4Z" fill="#5CB85C"/>
              <path class="character" d="M320 48C320 35.2696 314.943 23.0606 305.941 14.0589C296.939 5.05713 284.73 0 272 0C259.27 0 247.061 5.05713 238.059 14.0589C229.057 23.0606 224 35.2696 224 48C224 60.7304 229.057 72.9394 238.059 81.9411C247.061 90.9429 259.27 96 272 96C284.73 96 296.939 90.9429 305.941 81.9411C314.943 72.9394 320 60.7304 320 48ZM125.7 175.5C135.6 165.6 149.1 160 163.2 160C165.1 160 167 160.1 168.8 160.3L137.6 254C128.3 282 139.3 312.8 164.4 328.5L250.6 382.4L225.2 471.2C220.3 488.2 230.2 505.9 247.2 510.8C264.2 515.7 281.9 505.8 286.8 488.8L315.5 388.4C321.4 367.8 312.9 345.8 294.8 334.5L238 299L268.9 216.6L274 228.9C289 264.7 323.9 288 362.7 288H384C401.7 288 416 273.7 416 256C416 238.3 401.7 224 384 224H362.7C349.8 224 338.1 216.2 333.2 204.3L326.9 189.3C312.3 154.2 282.8 127.4 246.4 116.2L197.7 101.2C186.6 97.8 175 96 163.3 96C132.3 96 102.5 108.3 80.6 130.3L57.4 153.4C44.9 165.9 44.9 186.2 57.4 198.7C69.9 211.2 90.2 211.2 102.7 198.7L125.8 175.6L125.7 175.5ZM91.2 352H32C14.3 352 0 366.3 0 384C0 401.7 14.3 416 32 416H101.6C120.6 416 137.8 404.8 145.5 387.5L157 361.6L147.5 355.6C130 344.7 117 328.8 109.6 310.7L91.2 352Z" fill="url(#paint0_linear_414_20)"/>
              </g>
              <defs>
              <linearGradient id="paint0_linear_414_20" x1="416" y1="0" x2="152.5" y2="-5.22327e-06" gradientUnits="userSpaceOnUse">
              <stop stop-color="#95ACC1"/>
              <stop offset="1" stop-color="#657ABE"/>
              </linearGradient>
              <clipPath id="clip0_414_20">
              <rect width="512" height="512" fill="white"/>
              </clipPath>
              </defs>
              </svg>
          </span>
          <span class="nd-action-button button" ng-click="ctrl.callGroup(group.groupNumber)"><i class="xivo-telephone"></i></span>
        </section>
      </div>
    </div>
  </div>
</div>
